%global momorel 5
Summary: UPnP Daemon
Name: linux-igd
Version: 0.92
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source: http://twtelecom.dl.sourceforge.net/sourceforge/linux-igd/linuxigd-%{version}.tgz
Source1: upnpd.init
Source2: UPnP.config
Patch0: linux-igd-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://linux-igd.sourceforge.net/
PreReq: chkconfig
Requires: iptables
BuildPrereq: upnp-devel
NoSource: 0

%description
linux-igd is a deamon that emulates Microsoft's Internet Connection Service
 (ICS). It implements the UPnP Internet Gateway Device specification (IGD)
and allows UPnP aware clients, such as MSN Messenger to work properly from
behind a NAT firewall.

%prep
%setup -q -n linux-igd
%patch -p1

%build
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{_initscriptdir}
install -m 744 %{SOURCE1} %{buildroot}/%{_initscriptdir}/upnpd
mkdir -p %{buildroot}/%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/config-sample/%{name}

%post
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add upnpd
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del upnpd
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG CREDITS LICENSE README SECURITY TODO
%{_initscriptdir}/upnpd
%dir %{_sysconfdir}/linuxigd
%attr(644,root,root) %config %{_sysconfdir}/linuxigd/*
%{_bindir}/upnpd
%{_datadir}/config-sample/%{name}

%changelog
* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.92-5m)
- stop daemon

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (0.92-4m)
- %%{_initscriptdir}

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.92-3m)
- change docdir %%defattr

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.92-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Jan 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.92-1m)
- version 0.92
